version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/html/staging/company-portal-frontend
    overwrite: true
file_exists_behavior: OVERWRITE


hooks:
  BeforeInstall:
    - location: before_install.sh
      timeout: 300
      runas: root
  AfterInstall:
    - location: install_dependencies.sh
      timeout: 300
      runas: root
  ApplicationStart:
    - location: start_application.sh
      timeout: 300
      runas: root
